"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function parseChunkHeader(ctx) {
    const line = ctx.getCurLine();
    const exec = /^@@\s\-(\d+),?(\d+)?\s\+(\d+),?(\d+)?\s@@/.exec(line);
    if (!exec) {
        return null;
    }
    const [all, delStart, delLines, addStart, addLines] = exec;
    ctx.nextLine();
    return {
        rangeAfter: getRange(addStart, addLines),
        rangeBefore: getRange(delStart, delLines),
    };
}
exports.default = parseChunkHeader;
function getRange(start, lines) {
    const startNum = parseInt(start, 10);
    return {
        start: startNum,
        lines: lines === undefined ? startNum : parseInt(lines, 10),
    };
}
